curl --request POST \
--url https://api.blat.ai/batch/scrape_sitemap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"https://example.com/"
],
"webhook": {
"url": "https://example.com/scrape_hook",
"events": [
"data"
],
"headers": {},
"metadata": {}
}
}
'{
"batch_id": "batch_id"
}Submits multiple sitemap URLs for scraping and returns a batch ID used to check the status later
curl --request POST \
--url https://api.blat.ai/batch/scrape_sitemap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"https://example.com/"
],
"webhook": {
"url": "https://example.com/scrape_hook",
"events": [
"data"
],
"headers": {},
"metadata": {}
}
}
'{
"batch_id": "batch_id"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Batch sitemap scraping request parameters
OK
The ID of the batch scrape. Used to check the status of the batch later.